# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%bcond_with rhel
%define  prever         rc3
%define  prever_dot     .rc3
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A Python Learning Environment
Name:    rurple
Version: 1.0
Release: alt1_0.9%{?prever_dot}
License: GPLv2+
Group:   Development/Tools
Url:     http://rur-ple.sourceforge.net/
Source0: http://downloads.sourceforge.net/rur-ple/%{name}%{version}%{prever}.zip
Source1: rurple.desktop
Source2: rurple.sh
Buildrequires: python-devel desktop-file-utils
BuildArch: noarch
Source44: import.info

%description
With the assistance of a robot named Reeborg, one can explore 
the fun of programming in the Python language.
A "Python Learning Environment" is a Python implementation of 
a "robot environment" as introduced by R. Pattis in 1981. 
RUR is similar in spirit to GvR, although it uses Python syntax. 
It also includes a Python shell.

%prep
%setup -q -n %{name}%{version}%{prever}
sed -i 's/\r//' world_files/adding_world.wld.bak
sed -i 's/\r//' COPYING.txt
chmod -x COPYING.txt

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/rurple

pushd %{buildroot}%{_prefix}
chmod -x world_files/*
find -name "*.rur" | xargs -r chmod -x
find -name "*.htm" | xargs -r chmod -x
find -name "*.po"  | xargs -r chmod -x
find -name "*.txt" | xargs -r chmod -x
find -name "*.css" | xargs -r chmod -x
chmod +x %{buildroot}%{python_sitelibdir_noarch}/rur_py/test_import_lightning.py
chmod +x %{buildroot}%{python_sitelibdir_noarch}/rur_py/lightning.py
mv lessons rur_images rur_locale rur_programs world_files python_files %{buildroot}%{_datadir}/%{name}
sed -i -e's,cur_path = os.path.dirname(sys.argv\[0\]),cur_path = os.environ.get("HOME")+"/.rurple",g' bin/rur_start.py
popd

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -a %{buildroot}%{_datadir}/%{name}/rur_images/splash_screen_small.png \
      %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor ""                \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}

%files 
%doc COPYING.txt
%{python_sitelibdir_noarch}/rur_py
%{!?with_rhel:%{python_sitelibdir_noarch}/*.egg-info}
%{_bindir}/rur_start*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.9.rc3
- initial fc import

